This device isn't eligable for requested build. Think i tried everything, HELP!

Thibauld

macrumors newbie
Original poster
Jun 4, 2012
2
0
Netherlands
Hello people,

I know this thread already exists but, i have a slightly different problem.

When i try to update my iphone 4 32gb (GSM) to ISPW 5.0.1. I get : this device isn't eligible for the requested build.

I have read about changing the host file, and followed the description. When i got to the host file :

/private/etc/hosts

The line "74.208.10.249 gs.apple.com" simply isn't there. So i assume this is alright.

Then i downloaded tiny umbrella, same here the box with :

“Set Hosts to Cydia on Exit” is already unchecked.

I'm running OSX Lion 10.7.4 and everything is up to date, including Itunes.
My Iphone is running 4.2.1 on firmware 03.10.01 and is jailbroken on another computer.

Please help, i've been at it for about 5 hours now but can't find a solution on the web....

Many thanks!!!!
 

Scott90

macrumors 6502
Jul 14, 2008
273
0
Apple doesn't sign 5.0.1 anymore. If I remember correctly, there are ways to still install it, but you don't mention how you're trying to update.
 
Comment

Thibauld

macrumors newbie
Original poster
Jun 4, 2012
2
0
Netherlands
If you dont have shsh blobs saved for 5.0.1 you can never restore to it.
Why not go to 5.1.1 instead?
Hello applejuiced,

I bought my iphone in the U.S. when i was on holidays. This means it's got an AT&T lock. I'm using the Gevey turbo sim to use my dutch carrier on 4.2.1

I just found out Gevey has a new sim the : ULTRA which doesn't unlock 5.1.1 and would render my phone useless once again.

Would 5.1 still get signed by apple?

thanks!

Ps. updating in dfu mode (redsnow) and then itunes
 
Comment

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,531
At the iPhone hacks section.
Hello applejuiced,

I bought my iphone in the U.S. when i was on holidays. This means it's got an AT&T lock. I'm using the Gevey turbo sim to use my dutch carrier on 4.2.1

I just found out Gevey has a new sim the : ULTRA which doesn't unlock 5.1.1 and would render my phone useless once again.

Would 5.1 still get signed by apple?

thanks!
Oh I see.
I believe you have to update to custom 5.1.1 to preserve your baseband version in order for gevey to still be able to unlock your device.
I dont use a gevey so ask others that do if it still works with iOS 5.1.1
I think it should as long as you maintain your old baseband from 4.2.1 but not 100%
 
Comment

Rajani Isa

macrumors 65816
Jun 8, 2010
1,146
56
Rogue Valley, Oregon
Hello applejuiced,

I bought my iphone in the U.S. when i was on holidays. This means it's got an AT&T lock. I'm using the Gevey turbo sim to use my dutch carrier on 4.2.1

I just found out Gevey has a new sim the : ULTRA which doesn't unlock 5.1.1 and would render my phone useless once again.

Would 5.1 still get signed by apple?

thanks!

Ps. updating in dfu mode (redsnow) and then itunes
How did you buy it? If you got it from AT&T, and it's in good standing, you could try asking them for an unlock.

(Or is AT&T being asinine to those not currently paying them money?)
 
Comment

TriJetHero

macrumors 601
Oct 13, 2010
4,953
141
World
How did you buy it? If you got it from AT&T, and it's in good standing, you could try asking them for an unlock.

(Or is AT&T being asinine to those not currently paying them money?)
The IP4 was sold locked to AT&T at apple for a non-commitment price. For those who already had an AT&T account, were still under contract, but wanted an iphone anyway.

With the policy change 2 months ago they accepted non-commitment phones for unlock, my replaced IP4 was unlocked by AT&T that why. You could try it, call there tech number.
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.